
hexo.extend.helper.register('project_count', function(posts){
    var counter = 0;
    posts.data.forEach(post => {
        if(post.layout == "project") counter += 1;
    });
    return counter;
});

hexo.extend.helper.register('blog_count', function(posts){
    var counter = 0;
    posts.data.forEach(post => {
        if(post.layout == "post") counter += 1;
    });
    return counter;
});

hexo.extend.helper.register('is_video_provider', function(url, provider){
    console.log(url);
    url = url.replace('http://', '')
    url = url.replace('https://', '')
    url = url.replace('www', '')
    var parts = url.split('.');
    console.log(`${provider} == ${parts[0]} (${parts[0] == provider ? true : false})`)
    return parts[0] == provider ? true : false;
});

hexo.extend.helper.register('youtube_embed_link', function(url){
    console.log(url);
    url = url.replace('http://', '')
    url = url.replace('https://', '')
    var parts = url.split('/');
    console.log(parts);
    return `http://www.youtube.com/embed/${parts[2]}`;
});

hexo.extend.helper.register('vimeo_embed_link', function(url){
    console.log(url);
    url = url.replace('http://', '')
    url = url.replace('https://', '')
    url = url.replace('vimeo.com/', '')
    console.log(url);
    return `https://player.vimeo.com/video/${url}`;
});